module Specular::Support
  def self.stringify_keys(obj)
    case (obj)
    when Hash
      obj.to_h do |k, v|
        [
          k.to_s,
          stringify_keys(v)
        ]
      end
    when Array
      obj.map do |v|
        stringify_keys(v)
      end
    else
      obj
    end
  end
end